import 'package:flutter/widgets.dart';
import 'package:tencent_im_sdk_plugin_example/pages/conversion/component/addAdvanceMsg.dart';
import 'package:tencent_im_sdk_plugin_example/pages/conversion/component/addFaceMsg.dart';
import 'package:tencent_im_sdk_plugin_example/pages/conversion/component/addTextMsg.dart';
import 'package:tencent_im_sdk_plugin_example/pages/conversion/component/addVoiceMsg.dart';

class MsgInput extends StatelessWidget {
  String toUser;
  int type;
  MsgInput(this.toUser, this.type);

  @override
  Widget build(BuildContext context) {
    return Container(
      height: 55,
      child: Row(
        children: [
          VoiceMsg(toUser),
          TextMsg(toUser, type),
          FaceMsg(toUser),
          AdvanceMsg(toUser),
        ],
      ),
    );
  }
}
