import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:tencent_im_sdk_plugin_example/common/colors.dart';
import 'package:tencent_im_sdk_plugin_example/pages/profile/component/TextWithCommonStyle.dart';

class AddFriendSetting extends StatefulWidget {
  State<StatefulWidget> createState() => AddFriendSettingState();
}

class AddFriendSettingState extends State<AddFriendSetting> {
  bool status = true;
  @override
  Widget build(BuildContext context) {
    return Container(
      height: 55,
      padding: EdgeInsets.fromLTRB(16, 0, 16, 0),
      // color: Colors.green,
      child: Row(
        children: [
          TextWithCommonStyle(
            text: "加我为朋友时需要验证",
          ),
          Expanded(
            child: Row(
              textDirection: TextDirection.rtl,
              children: [
                CupertinoSwitch(
                  value: status,
                  onChanged: (data) {
                    setState(() {
                      status = !status;
                    });
                  },
                  activeColor: CommonColors.getThemeColor(),
                ),
              ],
            ),
          ),
        ],
      ),
    );
  }
}
