import 'package:flutter/material.dart';
import 'package:tencent_im_sdk_plugin_example/common/arrowRight.dart';
import 'package:tencent_im_sdk_plugin_example/common/colors.dart';
import 'package:tencent_im_sdk_plugin_example/pages/profile/component/textWithCommonStyle.dart';

class UserSign extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Container(
      color: CommonColors.getWitheColor(),
      height: 55,
      padding: EdgeInsets.fromLTRB(16, 0, 16, 0),
      // color: Colors.green,
      child: Row(
        children: [
          TextWithCommonStyle(
            text: '个性签名',
          ),
          Expanded(
            child: Row(
              textDirection: TextDirection.rtl,
              mainAxisAlignment: MainAxisAlignment.end,
              children: [
                ArrowRight(),
                Expanded(
                  child: Text(
                    "生活就是这个样子。",
                    textAlign: TextAlign.right,
                    style: TextStyle(
                      fontSize: 14,
                      color: CommonColors.getTextWeakColor(),
                    ),
                  ),
                )
              ],
            ),
          ),
        ],
      ),
    );
  }
}
