import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';
import 'package:tencent_im_sdk_plugin/models/v2_tim_conversation.dart';

class ConversionModel with ChangeNotifier, DiagnosticableTreeMixin {
  List<V2TimConversation> _conversionList = [];
  get conversionList => _conversionList;
  setConversionList(newList) {
    _conversionList = newList;
    notifyListeners();
    return conversionList;
  }

  void debugFillProperties(DiagnosticPropertiesBuilder properties) {
    super.debugFillProperties(properties);
    properties.add(IntProperty('conversionList', conversionList));
  }
}
