import 'package:json_annotation/json_annotation.dart';

part 'v2_tim_group_member_change_info.g.dart';

/// V2TIMGroupMemberChangeInfo
///
/// {@category Models}
///
@JsonSerializable()
class V2TIMGroupMemberChangeInfo extends Object {
  @JsonKey(name: 'userID')
  String userID;

  @JsonKey(name: 'muteTime')
  String muteTime;

  V2TIMGroupMemberChangeInfo(
    this.userID,
    this.muteTime,
  );

  factory V2TIMGroupMemberChangeInfo.fromJson(Map<String, dynamic> srcJson) =>
      _$V2TIMGroupMemberChangeInfoFromJson(srcJson);

  Map<String, dynamic> toJson() => _$V2TIMGroupMemberChangeInfoToJson(this);
}
