import 'package:flutter/material.dart';
import 'package:tencent_im_sdk_plugin_example/common/avatar.dart';
import 'package:tencent_im_sdk_plugin_example/pages/conversion/component/MsgBody.dart';
import 'package:tencent_im_sdk_plugin_example/pages/conversion/component/fixPosition.dart';

class SendMsg extends StatelessWidget {
  TextDirection textDirection = TextDirection.rtl;
  int type = 1;
  String name;
  String message;
  SendMsg({type = 1, name, message}) {
    if (type != 1) {
      this.textDirection = TextDirection.ltr;
    }
    this.type = type;
    this.message = message;
    this.name = name;
  }
  @override
  Widget build(BuildContext context) {
    return Container(
      margin: EdgeInsets.fromLTRB(0, 10, 0, 10),
      child: Row(
        textDirection: textDirection,
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          Avatar(
            avtarUrl: 'images/logo.png',
            width: 40,
            height: 40,
            radius: 4.8,
          ),
          MsgBody(
            type: type,
            name: name,
            message: message,
          ),
          FixPosition()
        ],
      ),
    );
  }
}
