import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';
import 'package:tencent_im_sdk_plugin/models/v2_tim_message.dart';

class CurrentMessageListModel with ChangeNotifier, DiagnosticableTreeMixin {
  List<V2TimMessage> _msgList;
  get msgList => _msgList;
  setCurrentMessageList(newMsgList) {
    _msgList = newMsgList;
    notifyListeners();
    return newMsgList;
  }

  void debugFillProperties(DiagnosticPropertiesBuilder properties) {
    super.debugFillProperties(properties);
    properties.add(IntProperty('msgList', msgList));
  }
}
