import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';
import 'package:tencent_im_sdk_plugin/models/v2_tim_friend_application.dart';

class FriendApplicationModel with ChangeNotifier, DiagnosticableTreeMixin {
  List<V2TimFriendApplication> _friendApplicationList;
  get friendApplicationList => _friendApplicationList;
  setFriendApplicationResult(newInfo) {
    _friendApplicationList = newInfo;
    notifyListeners();
    return friendApplicationList;
  }

  void debugFillProperties(DiagnosticPropertiesBuilder properties) {
    super.debugFillProperties(properties);
    properties.add(IntProperty('friendApplicationList', friendApplicationList));
  }
}
